Skip to content

Unified Catalog Topology Field Filter Options



POST /api/v1/unified_catalog/topology/filter_options

Overview

Retrieve the list of selectable values for specified fields.

Body Request Parameters

Parameter Type Required Description
entityType string Entity type code
Allow empty: False
fields array Y List of fields to return filter options for, up to 64 items
Allow empty: False
Example: ['project', 'owner']
$minLength: 1
Maximum length: 64
filters json Selected filter conditions
Allow empty: False
search string Compatibility parameter for candidate value search; new callers should use fieldValue instead
Allow empty: False
fieldValue string Filter candidate values only; takes precedence over search when both are provided
Allow empty: False

Additional Parameter Notes

Request Parameter Details

Parameter Type Required Description
entityType string No Entity type code; required when requesting health field filter options or filtering by health field
fields array[string] Yes List of fields to return filter options for, up to 64 items
filters json No Selected filter conditions
search string No Compatibility parameter for candidate value search; new callers should use fieldValue instead
fieldValue string No Filter candidate values only; takes precedence over search when both are provided

Call Notes

  • fields supports multiple fields; the API returns the available values for each field separately.
  • If the field is owner, the returned results will be parsed into team-readable names when possible.
  • filters can be used for linked filtering scenarios.
  • When fields or filters involve health fields, entityType is required; if the type is disabled, candidate values are generated based on the effective disabled state.

Request Example

curl 'https://openapi.guance.com/api/v1/unified_catalog/topology/filter_options' \
-H 'DF-API-KEY: <DF-API-KEY>' \
-H 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{"fields":["project","owner"],"entityType":"service"}'

Response

{
    "code": 200,
    "content": {
        "project": [
            {
                "label": "demo",
                "value": "demo"
            }
        ],
        "owner": [
            {
                "label": "研发团队",
                "value": "研发团队"
            }
        ]
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-XXXX"
} 

Feedback

Is this page helpful?